Build-depends: and Depends:

Cesare Tirabassi norsetto at ubuntu.com
Mon May 5 14:55:36 BST 2008


On Monday 05 May 2008 15:23:50 Cesare Falco wrote:

> I need to make my binary package depend from a particular version of a
> library, which is also needed to build the package itself.
> I thought binary dependences were inherited from building ones, but I
> see this is not the case.
>
> Of course I can list the library in both fields:
> [...]
> Build-depends: mylibrary-dev (>= 1.2.3)
> [...]
> Depends: mylibrary (>= 1.2.3)
>
> Even using a variable, this is ugly IMHO.

You mean dpkg-shlibdeps doesn't do this automatically in your case?

Cesare (the real one)



More information about the Ubuntu-motu-mentors mailing list